RDKit: RDKit::MolDrawOptions Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::MolDrawOptions Struct Reference

`#include <MolDraw2D.h>`

## Public Member Functions
| MolDrawOptions ()

## Public Attributes
bool | atomLabelDeuteriumTritium
bool | dummiesAreAttachments
bool | circleAtoms
DrawColour | highlightColour
bool | continuousHighlight
bool | fillHighlights
int | flagCloseContactsDist
bool | includeAtomTags
bool | clearBackground
DrawColour | backgroundColour
int | legendFontSize
DrawColour | legendColour
double | multipleBondOffset
double | padding
double | additionalAtomLabelPadding
std::map< int, std::string > | atomLabels
std::vector< std::vector< int > > | atomRegions
DrawColour | symbolColour
std::vector< DrawColour > | highlightColourPalette
ColourPalette | atomColourPalette

## Detailed Description

Definition at line 62 of file MolDraw2D.h.

## Constructor & Destructor Documentation

RDKit::MolDrawOptions::MolDrawOptions | ( |  | ) |
| inline

Definition at line 99 of file MolDraw2D.h.

References RDKit::assignDefaultPalette().

## Member Data Documentation

double RDKit::MolDrawOptions::additionalAtomLabelPadding

Definition at line 85 of file MolDraw2D.h.

ColourPalette RDKit::MolDrawOptions::atomColourPalette

Definition at line 95 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::atomLabelDeuteriumTritium

Definition at line 63 of file MolDraw2D.h.

std::map<int, std::string> RDKit::MolDrawOptions::atomLabels

Definition at line 88 of file MolDraw2D.h.

std::vector<std::vector<int> > RDKit::MolDrawOptions::atomRegions

Definition at line 89 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::backgroundColour

Definition at line 78 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2Dwx::clearDrawing().

bool RDKit::MolDrawOptions::circleAtoms

Definition at line 65 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::clearBackground

Definition at line 75 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::continuousHighlight

Definition at line 67 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::dummiesAreAttachments

Definition at line 64 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::fillHighlights

Definition at line 69 of file MolDraw2D.h.

int RDKit::MolDrawOptions::flagCloseContactsDist

Definition at line 71 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::highlightColour

Definition at line 66 of file MolDraw2D.h.

std::vector<DrawColour> RDKit::MolDrawOptions::highlightColourPalette

Definition at line 92 of file MolDraw2D.h.

bool RDKit::MolDrawOptions::includeAtomTags

Definition at line 73 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::legendColour

Definition at line 81 of file MolDraw2D.h.

int RDKit::MolDrawOptions::legendFontSize

Definition at line 79 of file MolDraw2D.h.

double RDKit::MolDrawOptions::multipleBondOffset

Definition at line 82 of file MolDraw2D.h.

double RDKit::MolDrawOptions::padding

Definition at line 84 of file MolDraw2D.h.

DrawColour RDKit::MolDrawOptions::symbolColour

Definition at line 91 of file MolDraw2D.h.

The documentation for this struct was generated from the following file:

- MolDraw2D.h